| Box2D 2.3.0 A 2D Physics Engine for Games

Public Member Functions | Public Attributes | List of all members
b2DistanceProxy Struct Reference

`#include <b2Distance.h>`

## Public Member Functions
void | Set (const b2Shape *shape, int32 index)
int32 | GetSupport (const b2Vec2 &d) const
| Get the supporting vertex index in the given direction.
const b2Vec2 & | GetSupportVertex (const b2Vec2 &d) const
| Get the supporting vertex in the given direction.
int32 | GetVertexCount () const
| Get the vertex count.
const b2Vec2 & | GetVertex (int32 index) const
| Get a vertex by index. Used by b2Distance.

## Public Attributes
b2Vec2 | m_buffer [2]
const b2Vec2 * | m_vertices
int32 | m_count
float32 | m_radius

## Detailed Description

A distance proxy is used by the GJK algorithm. It encapsulates any shape.

## Member Function Documentation

## ◆ Set()

void b2DistanceProxy::Set | ( | const b2Shape * | shape,
|  | int32 | index
| ) |  |

Initialize the proxy using the given shape. The shape must remain in scope while the proxy is in use.

The documentation for this struct was generated from the following files:

- b2Distance.h
- b2Distance.cpp